﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace KB1587_WebDataGrid_ClearColumnMoving
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Session["data"] == null)
            {
                Session["data"] = GetData();
            }

            WebDataGrid1.DataSource = Session["data"];
        }

        private DataTable GetData()
        {
            DataTable dt = new DataTable();

            // Columns
            dt.Columns.Add("ID", typeof(int));
            dt.Columns.Add("Name", typeof(String));
            dt.Columns.Add("Age", typeof(int));
            dt.Columns.Add("Address", typeof(String));

            // Rows
            dt.Rows.Add(new object[] { 0, "藤野 都", 53, "岐阜県各務原市那加扇平" });
            dt.Rows.Add(new object[] { 1, "伏見 愛花", 29, "栃木県小山市北飯田" });
            dt.Rows.Add(new object[] { 2, "牧 風子", 20, "福岡県築上郡築上町松丸" });
            dt.Rows.Add(new object[] { 3, "村山 亜衣", 24, "長崎県佐世保市世知原町長田代" });
            dt.Rows.Add(new object[] { 4, "横井 麗奈", 57, "岩手県花巻市石鳥谷町八幡" });
            dt.Rows.Add(new object[] { 5, "金谷 沙也香", 39, "山口県周南市速玉町" });
            dt.Rows.Add(new object[] { 6, "湊 信二", 39, "神奈川県横浜市西区南軽井沢" });
            dt.Rows.Add(new object[] { 7, "木下 猛", 52, "山口県柳井市旭ケ丘" });
            dt.Rows.Add(new object[] { 8, "丸山 治", 25, "佐賀県鳥栖市原古賀町" });
            dt.Rows.Add(new object[] { 9, "熊沢 花怜", 23, "香川県木田郡三木町田中" });

            // Primary key
            dt.PrimaryKey = new DataColumn[] { dt.Columns["ID"] };

            return dt;
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            for (int i = 0; i < WebDataGrid1.Columns.Count; i++)
            {
                WebDataGrid1.Columns[i].VisibleIndex = i;
            }
        }
    }
}